Partio::ParticleAccessor Struct Reference

`#include <PartioIterator.h>`

## Public Member Functions

| ParticleAccessor (const ParticleAttribute &attr)
template<class TDATA , class TITERATOR >
TDATA * | raw (const TITERATOR &it)
template<class TDATA , class TITERATOR >
const TDATA * | raw (const TITERATOR &it) const
template<class TDATA , class TITERATOR >
TDATA & | data (const TITERATOR &it)
template<class TDATA , class TITERATOR >
const TDATA & | data (const TITERATOR &it) const

## Public Attributes

int | stride
char * | basePointer
int | attributeIndex
int | count

## Private Attributes

ParticleAttributeType | type
ParticleAccessor * | next

## Friends

class | ParticleIterator< true >
class | ParticleIterator< false >

## Constructor & Destructor Documentation

## ParticleAccessor()

Partio::ParticleAccessor::ParticleAccessor | ( | const ParticleAttribute & | attr | ) |

inline

## Member Function Documentation

## data() [1/2]

template<class TDATA , class TITERATOR >

TDATA & Partio::ParticleAccessor::data | ( | const TITERATOR & | it | ) |

inline

References basePointer, and stride.

## data() [2/2]

template<class TDATA , class TITERATOR >

const TDATA & Partio::ParticleAccessor::data | ( | const TITERATOR & | it | ) | const

inline

References basePointer, and stride.

## raw() [1/2]

template<class TDATA , class TITERATOR >

TDATA * Partio::ParticleAccessor::raw | ( | const TITERATOR & | it | ) |

inline

References basePointer, and stride.

## raw() [2/2]

template<class TDATA , class TITERATOR >

const TDATA * Partio::ParticleAccessor::raw | ( | const TITERATOR & | it | ) | const

inline

References basePointer, and stride.

## Friends And Related Function Documentation

## ParticleIterator< false >

friend class ParticleIterator< false >

friend

## ParticleIterator< true >

friend class ParticleIterator< true >

friend

## Member Data Documentation

## attributeIndex

int Partio::ParticleAccessor::attributeIndex

## basePointer

char* Partio::ParticleAccessor::basePointer

Referenced by data(), and raw().

## count

int Partio::ParticleAccessor::count

## next

ParticleAccessor* Partio::ParticleAccessor::next

private

Referenced by Partio::ParticleIterator< constant >::addAccessor().

## stride

int Partio::ParticleAccessor::stride

Referenced by data(), and raw().

## type

ParticleAttributeType Partio::ParticleAccessor::type

private

The documentation for this struct was generated from the following file:

- src/lib/PartioIterator.h